### Hierarchy

- Config
  - ConfigService

## Index

### Constructors

- constructor

### Properties

- _config
- _defaults
- _locked

### Methods

- add
- all
- extend
- fetch
- get
- getLocalSettings
- initXdomain
- islocked
- lock
- restoreDefaults
- set
- setDefaults
- setLocalSettings
- unLock

## Constructors

### constructor

- new Config(): Config

- - Defined in config/config.ts:10

  #### Returns Config

## Properties

### _config

_config: any

- Defined in config/config.ts:8

### _defaults

_defaults: any

- Defined in config/config.ts:9

### _locked

_locked: string[] = ['_config', '_defaults']

- Defined in config/config.ts:10

## Methods

### add

- add(object: any, extend?: boolean, castToType?: boolean): void

- - Defined in config/config.ts:29

  #### Parameters

  - ##### object: any

  - ##### Default value extend: boolean = false

  - ##### Default value castToType: boolean = false

  #### Returns void

### all

- all(): any

- - Defined in config/config.ts:68

  #### Returns any

### extend

- extend(object: any, target?: any): void

- - Defined in config/config.ts:64

  #### Parameters

  - ##### object: any

  - ##### Default value target: any = this._config

  #### Returns void

### fetch

- fetch(url: any, extend?: boolean): Promise<any>

- - Defined in config/config.ts:40

  #### Parameters

  - ##### url: any

  - ##### Default value extend: boolean = false

  #### Returns Promise<any>

### get

- get(key: any): any

- - Defined in config/config.ts:14

  #### Parameters

  - ##### key: any

  #### Returns any

### getLocalSettings

- getLocalSettings(id: any): void

- - Defined in config/config.ts:72

  #### Parameters

  - ##### id: any

  #### Returns void

### initXdomain

- initXdomain(object: any): void

- - Defined in config/config.ts:131

  #### Parameters

  - ##### object: any

  #### Returns void

### islocked

- islocked(key: any): void

- - Defined in config/config.ts:102

  #### Parameters

  - ##### key: any

  #### Returns void

### lock

- lock(key: any): boolean

- - Defined in config/config.ts:116

  #### Parameters

  - ##### key: any

  #### Returns boolean

### restoreDefaults

- restoreDefaults(): void

- - Defined in config/config.ts:95

  #### Returns void

### set

- set(key: any, value: any, castToType?: boolean): any

- - Defined in config/config.ts:18

  #### Parameters

  - ##### key: any

  - ##### value: any

  - ##### Default value castToType: boolean = false

  #### Returns any

### setDefaults

- setDefaults(configDefaults: any): void

- - Defined in config/config.ts:87

  #### Parameters

  - ##### configDefaults: any

  #### Returns void

### setLocalSettings

- setLocalSettings(id: any, settings?: any): void

- - Defined in config/config.ts:79

  #### Parameters

  - ##### id: any

  - ##### Default value settings: any = this._config

  #### Returns void

### unLock

- unLock(key: any): void

- - Defined in config/config.ts:123

  #### Parameters

  - ##### key: any

  #### Returns void